package com.huguesjohnson.jail.jailBreak;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
JailBreakDebugMessageInternalFrame.java - Internal frame which displays debugging messages
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.String;
import java.awt.BorderLayout;
import javax.swing.JInternalFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import com.huguesjohnson.jail.jailBreak.JailBreakUIConstants;

/** JailBreakDebugMessageInternalFrame Internal frame which displays debugging messages
 * @author Hugues Johnson
 */
public class JailBreakDebugMessageInternalFrame extends JInternalFrame{

    /** the path to the folder containing images for current theme */
    private String resourcePath;

    /** the path to the folder containing default images */
    private String defaultResourcePath;
    
    /** textbox to display messages */
    private JTextArea messageBox;
    
    /** Creates new JailBreakObjectBrowserInternalFrame
     * @param resourcePath path to the folder containing images for current theme 
     * @param defaultResourcePath path to the folder containing default images   
     */
    public JailBreakDebugMessageInternalFrame(String resourcePath,String defaultResourcePath){
        super(JailBreakUIConstants.CAPTION_DEBUG_FRAME,JailBreakUIConstants.INTERNAL_FRAME_RESIZABLE,JailBreakUIConstants.INTERNAL_FRAME_CLOSABLE,JailBreakUIConstants.INTERNAL_FRAME_MAXIMIZABLE,JailBreakUIConstants.INTERNAL_FRAME_ICONIFIABLE);
        this.resourcePath=resourcePath;
        this.defaultResourcePath=defaultResourcePath;
        this.addComponents();
    }    
    
    /** adds components to the frame
     */
    private void addComponents(){
        /* add the tree view */
        this.messageBox=new JTextArea();
        this.messageBox.setEditable(false);
        JScrollPane scrollPane=new JScrollPane(this.messageBox);
        this.getContentPane().add(scrollPane,BorderLayout.CENTER);
    }    
    
    /** clears the messages being displayed 
     */
    public void clear(){
        this.messageBox.setText(new String());
    }
    
    /** appends a message to the bottom of the message box
     * @param message the message to append
     */
    public void write(String message){
        this.messageBox.append("\n");
        this.messageBox.append(message);
    }
}