package com.huguesjohnson.jail.jailBreak;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
JailBreakToolbar.java - Toolbar for main window
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.String;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JToolBar;
import javax.swing.JButton;
import javax.swing.ImageIcon;
import com.huguesjohnson.jail.jailBreak.JailBreakUIConstants;
import com.huguesjohnson.jail.jailBreak.event.JailBreakEvent;
import com.huguesjohnson.jail.jailBreak.event.JailBreakActionEvent;

/** class JailBreakToolbar toolbar for the main window
 * @author Hugues Johnson
 */
public class JailBreakToolbar extends JToolBar implements ActionListener{
    
    /** the path to the folder containing images for current theme */
    private String resourcePath;

    /** the path to the folder containing default images */
    private String defaultResourcePath;
    
    /** Creates new JailBreakMenu
     * @param resourcePath path to the folder containing images for current theme 
     * @param defaultResourcePath path to the folder containing default images   
     */
    public JailBreakToolbar(String resourcePath,String defaultResourcePath){
        super();
        this.resourcePath=resourcePath;
        this.defaultResourcePath=defaultResourcePath;
        this.addButtons();
    }
    
    /** adds all buttons and their images.
    */
    private void addButtons(){
        JButton button;
        /* add new button */
        /* come back to this later.. need to find a way to implement a "drop-down" style button
        button=new JButton(new ImageIcon(this.resourcePath+"new.gif"));
        button.setActionCommand(JailBreakUIConstants.ACTION_NEW);
        button.setToolTipText(JailBreakUIConstants.ACTION_NEW);
        button.addActionListener(this);
        this.add(button);*/
        /* add open button */
        button=new JButton(new ImageIcon(this.resourcePath+"open.gif"));
        button.setActionCommand(JailBreakUIConstants.ACTION_OPEN);
        button.setToolTipText(JailBreakUIConstants.ACTION_OPEN);
        button.addActionListener(this);
        this.add(button);
        /* add save button */
        button=new JButton(new ImageIcon(this.resourcePath+"save.gif"));
        button.setActionCommand(JailBreakUIConstants.ACTION_SAVE);
        button.setToolTipText(JailBreakUIConstants.ACTION_SAVE);
        button.addActionListener(this);
        //button.setEnabled(false);
        this.add(button);
        /* add separator */
        this.addSeparator();
        /* add run button */
        button=new JButton(new ImageIcon(this.resourcePath+"run.gif"));
        button.setActionCommand(JailBreakUIConstants.ACTION_RUN);
        button.setToolTipText(JailBreakUIConstants.ACTION_RUN);
        button.addActionListener(this);
        this.add(button);
        /* add run file button */
        button=new JButton(new ImageIcon(this.resourcePath+"run_file.gif"));
        button.setActionCommand(JailBreakUIConstants.ACTION_RUN_FILE);
        button.setToolTipText(JailBreakUIConstants.ACTION_RUN_FILE);
        button.addActionListener(this);
        this.add(button);
        /* add train button */
        button=new JButton(new ImageIcon(this.resourcePath+"train.gif"));
        button.setActionCommand(JailBreakUIConstants.ACTION_TRAIN);
        button.setToolTipText(JailBreakUIConstants.ACTION_TRAIN);
        button.addActionListener(this);
        this.add(button);
        /* add train file button */
        button=new JButton(new ImageIcon(this.resourcePath+"train_file.gif"));
        button.setActionCommand(JailBreakUIConstants.ACTION_TRAIN_FILE);
        button.setToolTipText(JailBreakUIConstants.ACTION_TRAIN_FILE);
        button.addActionListener(this);
        this.add(button);
    }
    
    /** actionPerformed listener for all events
     * @param actionEvent the event received
     */
    public void actionPerformed(ActionEvent actionEvent){
        this.sendEvent(new JailBreakActionEvent(actionEvent.getActionCommand()));
    }

    /** sendEvent override when creating a new instance of this object 
      * @param event the event to send to the parent class of this object
      */
    public void sendEvent(JailBreakEvent event){ 
    }    
}