package com.huguesjohnson.jail.jailBreak;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
JailBreakUIConstants.java - UI panel containing tips & welcome message
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.String;

public abstract class JailBreakUIConstants{

    /* begin captions */
    public final static String CAPTION_WINDOW="JailBreak v0.2.1";
    public final static String CAPTION_BROWSE_FRAME="Object Browser";
    public final static String CAPTION_VIEW_FRAME="Object Viewer";    
    public final static String CAPTION_DEBUG_FRAME="Debug Messages";    
    public final static String CAPTION_ABOUT_WINDOW="About "+CAPTION_WINDOW;
    public final static String CAPTION_ABOUT_MESSAGE=CAPTION_WINDOW+"\n\nFront-end for Java Artificial Intelligence Library\n\n(c) Copyright  (C) 2000-2003 Hugues Johnson";
    /* end captions */
    
    /* begin action commands / menu captions */
    public final static String ACTION_NEW="New"; /* don't know if there will be a "generic" new command or not */
    public final static String ACTION_NEW_BPNN="Backpropagation Neural Network.."; 
    public final static String ACTION_NEW_DT="Decision Tree.."; 
    public final static String ACTION_OPEN="Open..";
    public final static String ACTION_SAVE="Save";
    public final static String ACTION_SAVE_AS="Save as..";
    public final static String ACTION_EXIT="Exit";
    public final static String ACTION_RUN="Run";
    public final static String ACTION_RUN_FILE="Run File..";
    public final static String ACTION_TRAIN="Train";
    public final static String ACTION_TRAIN_FILE="Train File..";
    public final static String ACTION_OPTIONS="Options..";
    public final static String ACTION_VIEW_BROWSER="Browser";
    public final static String ACTION_VIEW_NODE="Selected Node";
    public final static String ACTION_VIEW_DEBUG="Debug Messages";
    public final static String ACTION_VIEW_TOOLBAR="Toolbar";
    public final static String ACTION_VIEW_MENU="Menu";
    public final static String ACTION_VIEW_STATUS="Status";
    public final static String ACTION_STYLE_JAVA="Java";
    public final static String ACTION_STYLE_SYSTEM="System";
    public final static String ACTION_HELP_README="Readme..";
    public final static String ACTION_HELP_FAQ="FAQ..";
    public final static String ACTION_HELP_API="Developer's API Reference..";
    public final static String ACTION_HELP_ABOUT="About..";
    public final static String ACTION_HELP_INDEX="Index..";
    public final static String ACTION_CHANGE_THEME="Change Theme";
    public final static String ACTION_CHANGE_STYLE="Change Style";
    public final static String ACTION_INSERT="Insert ";
    public final static String ACTION_REMOVE="Remove ";
    public final static String ACTION_OK="OK";
    public final static String ACTION_CANCEL="Cancel";
    /* end action commands / menu captions */

    /* begin status messages */
    public final static String STATUS_DONE="Done ";
    public final static String STATUS_SAVING="Saving ";
    public final static String STATUS_OPENING="Opening ";
    public final static String STATUS_RUNNING="Running ";
    public final static String STATUS_TRAINING="Training ";
    public final static String STATUS_ERROR="Error ";
    /* end status messages */
    
    /* begin window style constants */
    public final static boolean INTERNAL_FRAME_RESIZABLE=true;
    public final static boolean INTERNAL_FRAME_CLOSABLE=true;
    public final static boolean INTERNAL_FRAME_MAXIMIZABLE=true;
    public final static boolean INTERNAL_FRAME_ICONIFIABLE=true;
    /* end window style constants */
    
    /* begin window size and position constants */
    public final static int MAIN_FRAME_DEFAULT_WIDTH=600;
    public final static int MAIN_FRAME_DEFAULT_HEIGHT=460;
    public final static int BROWSE_FRAME_DEFAULT_WIDTH=200;
    public final static int BROWSE_FRAME_DEFAULT_HEIGHT=360;
    public final static int BROWSE_FRAME_DEFAULT_X=1;
    public final static int BROWSE_FRAME_DEFAULT_Y=1;
    public final static int VIEW_FRAME_DEFAULT_WIDTH=390;
    public final static int VIEW_FRAME_DEFAULT_HEIGHT=360;
    public final static int VIEW_FRAME_DEFAULT_X=BROWSE_FRAME_DEFAULT_WIDTH+1;
    public final static int VIEW_FRAME_DEFAULT_Y=1;
    public final static int DEBUG_FRAME_DEFAULT_WIDTH=200;
    public final static int DEBUG_FRAME_DEFAULT_HEIGHT=180;
    public final static int DEBUG_FRAME_DEFAULT_X=1;
    public final static int DEBUG_FRAME_DEFAULT_Y=1;    
    public final static int PANEL_DEFAULT_WIDTH=380;
    public final static int PANEL_DEFAULT_HEIGHT=130;
    /* end window size and position constants */
    
    /* begin table row constants */
    public final static int NETWORK_SETTINGS_ROW_COUNT=1;
    public final static int NETWORK_SETTINGS_ROW_ERROR=0;
    public final static Object[][] NETWORK_SETTINGS_ROWS={ {"Error",new Double(0.0D)} };
    public final static int LAYER_SETTINGS_ROW_COUNT=2;
    public final static int LAYER_SETTINGS_ROW_ERROR=0;
    public final static int LAYER_SETTINGS_ROW_DONE_TRAINING=1;
    public final static Object[][] LAYER_SETTINGS_ROWS={ {"Error",new Double(0.0D)},{"Done Training",new Boolean(false)} };
    public final static int NEURON_SETTINGS_ROW_COUNT=4;
    public final static int NEURON_SETTINGS_ROW_DONE_TRAINING=0;
    public final static int NEURON_SETTINGS_ROW_PUNISH_RATE=1;
    public final static int NEURON_SETTINGS_ROW_REWARD_RATE=2;
    public final static int NEURON_SETTINGS_ROW_ERROR_THRESHOLD=3;
    public final static Object[][] NEURON_SETTINGS_ROWS={ {"Done Training",new Boolean(false)},{"Punish Rate",new Double(0.0D)},{"Reward Rate",new Double(0.0D)},{"Error Threshold",new Double(0.5D)}  };
    /* end table row constants */
    
    /* begin table column names */
    public final static String[] SETTINGS_TABLE_COLUMNS={"Parameter","Value" };
    public final static String[] INPUT_TABLE_COLUMNS={"Index","Input Value" };
    public final static String[] WEIGHTS_TABLE_COLUMNS={"Index","Weight Value" };
    public final static String[] DESIRED_OUTPUT_TABLE_COLUMNS={"Index","Desired Output Value" };
    public final static String[] OUTPUT_TABLE_COLUMNS={"Index","Actual Output" };
    /* end table column names */    
    
    /* begin error messages */
    public final static String ERROR_UNABLE_TO_LOAD="Error loading program. \nPlease check that the latest version of the Java Runtime Environment is installed.";
    public final static String ERROR_NO_ACTIVE_OBJECT="No active object to apply last action to.";
    /* end error messages */

    /* begin default settings for creating objects */
    public final static int BPNN_DEFAULT_INPUT_LAYER_SIZE=8;
    public final static int BPNN_DEFAULT_HIDDEN_LAYER_SIZE=4;
    public final static int BPNN_DEFAULT_OUTPUT_LAYER_SIZE=2;
    public final static int BPNN_DEFAULT_INPUT_SIZE=36;
    public final static double BPNN_DEFAULT_PUNISH_RATE=0.5D;
    public final static double BPNN_DEFAULT_REWARD_RATE=0.5D;
    public final static double BPNN_DEFAULT_ERROR_THRESHOLD=0.05D;
    public final static double BPNN_DEFAULT_MIN_WEIGHT=-5.0D;
    public final static double BPNN_DEFAULT_MAX_WEIGHT=5.0D;
    public final static int BPNN_DEFAULT_TRAINING_ITERATIONS=10;
    /* end default settings for creating objects */
    
}