package com.huguesjohnson.jail.jailBreak.fileFilter;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
BackPropagationNetworkFilter.java - File filter for Backpropagtion networks
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.io.File;
import java.lang.String;
import java.lang.StringBuffer;
import javax.swing.filechooser.FileFilter;

/** filter for saving/loading BackPropagation networks
 * @author Hugues Johnson
*/
public class BackPropagationNetworkFilter extends FileFilter{
     /** extention accepted by this filter */
     private final static String FILTER_BPNN_EXTENTION=".jbpnn";
     /** description of this filter */
     private final static String FILTER_DESCRIPTION="Backpropagation Neural Network (*.jbpnn)";
    
    /** default constructor
     */
    public BackPropagationNetworkFilter(){
        super();
    }
    
    /** tests if a file fits the filter
     * @param file file to check
     * @return true if the file fits the filter, false if it does not
     */
    public boolean accept(File file){
        String fileName=(file.getName().toLowerCase());
          if(file.isDirectory()){
               return(true);
          } else{
              return(fileName.endsWith(this.FILTER_BPNN_EXTENTION));
          }
    }
    
     /** getDescription returns the description of files accepted by the filter
     * @return description of files accepted by the filter
     */    
    public String getDescription(){
        return(this.FILTER_DESCRIPTION);
    }
    
    /** returns a string representation of the object
     * @return string representation of the object
     */
    public String toString(){
        StringBuffer tostring=new StringBuffer(super.toString());
        tostring.append("\nFILTER_BPNN_EXTENTION="+this.FILTER_BPNN_EXTENTION);
        tostring.append("\nFILTER_DESCRIPTION="+this.FILTER_DESCRIPTION);
        return(tostring.toString());
    }
}