package com.huguesjohnson.jail.jdt;

/*
Jdt (Java Decision Tree) - Package to create and display a decision tree
JdtUIConstants.java - user interface constants such as strings and action commands
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.String;

public abstract class JdtUIConstants{
    /* begin action commands */
    public final static String ACTION_SET_PANE_WELCOME="setPane(welcome)";
    public final static String ACTION_SET_PANE_FILE="setPane(file)";
    public final static String ACTION_SET_PANE_RUN="setPane(run)";
    public final static String ACTION_SET_PANE_TREE="setPane(tree)";
    public final static String ACTION_RUN="runDecisionTreeLearn()";
    public final static String ACTION_EXIT="exit()";
    public final static String ACTION_ABOUT="showAboutDialog()";
    /* end action commands */
    
    /* begin captions */
    public final static String CAPTION_CHECKBOX_TRAINDATA="Test accuracy of training data";
    public final static String CAPTION_CHECKBOX_TESTDATA="Test accuracy of test data";
    public final static String CAPTION_CHECKBOX_CREATELOG="Write debug log";
    public final static String CAPTION_CHECKBOX_CREATEREPORT="Write execution report";
    public final static String CAPTION_BUTTON_BUILD="Build Decision Tree";
    /* end captions */
    
    /* begin size & position */
    /* end size & position */
    
    /* begin status messages */
    public final static String STATUS_BUILDTREE="Building decision tree, this may take a minute..";
    public final static String STATUS_DONEBUILD="Finished building decision tree";
    public final static String STATUS_SELECT_FILES="Please select names, training, and testing files";
    public final static String STATUS_WELCOME="Welcome to Jdt";
    public final static String STATUS_RUN="Select options and press run to start decision tree build";
    public final static String STATUS_NO_TREE="No tree built";
    public final static String STATUS_TREE="Decision tree";
    /* end status messages */
    
    /* begin tooltips */
    public final static String TOOLTIP_JDT_BUTTON="Introduction & getting started";
    public final static String TOOLTIP_FILES_BUTTON="Select files";
    public final static String TOOLTIP_RUN_BUTTON="Run decision tree learn";
    public final static String TOOLTIP_TREE_BUTTON="View finished tree";
    /* end tooltips */
    
    /* begin error messages */
    public final static String ERROR_FILE_NOT_FOUND="The following file was not found:\n";
    /* end error messages */
    
    /* begin various messages */
    public final static String MESSAGE_WELCOME="Welcome to Jdt 0.1.\n\nPlease see jdt-quickstart.html for help on getting started.\n\nThanks for trying out this early edition.";
    /* end various messages */
}