package com.huguesjohnson.jail.neuralNetwork;

/*
neuralNetwork - Package of neural network objects
BiasNeuron.java - A neuron that always gives the same output
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import com.huguesjohnson.jail.neuralNetwork.Neuron;

/** BiasNeuron
 */
public class BiasNeuron extends Neuron{
    /** the value that the neuron will always output */
    private double bias;
    
    /** constructor
     * @param bias the value that the neuron will always output
     */
    public BiasNeuron(double bias){
        super();
        this.bias=bias;
    }
            
    /* overrides of Neuron methods */
    
    /** activation function
     * @return BiasNeuron always returns the bias value for activation
     */
    public double activation(){
        return(this.bias);
    }
    
    /** not implemented for BiasNeuron
     */
    public void adjustWeights(){
    }    
}